<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Resize Image</title>
    <script type="text/javascript" src="../packages/hotdrink.js"></script>
    <script type="module" src="img.js"></script>
    <style>
        fieldset#size input[type="text"] {
            width: 8ex;
        }

        section, .dsl {
            padding: .1em;
        }

        .size {
            display: inline-block;
            width: 200px;
            border: 1px solid white;
            text-align: center;
        }

        .head {
            display: block;
            padding: 0.3em;
        }
    </style>
</head>
<body>
<section>
    <label class="head">Recorder Options</label>
    <button id="start" disabled>Start Recording</button>
    <button id="stop">Stop Recording</button>
    <button id="replay">Replay</button>
    <input type="checkbox" id="intent-checkbox">Enable Intent</input>
</section>

<aside>
    <img id="img" src="red.webp" style="float: right" alt="A cute red panda">
</aside>

<section>

    <label class="head">Manipulate Image</label>
    <fieldset id="size">

        <div class="size">
            <label>Original width <input min="1" id="init-x" type="number" disabled></label>
            <label>Absolute width <input min="1" id="abs-x" type="number"></label>
            <label>Relative (to original) width <input min="0" id="rel-x" type="number"></label>
        </div>
        <div class="size">
            <label>Original height <input min="1" id="init-y" type="number" disabled></label>
            <label>Absolute height <input min="1" id="abs-y" type="number"></label>
            <label>Relative (to original) height <input min="0" id="rel-y" type="number"></label>
        </div>
    </fieldset>
    <label hidden>Aspect ratio:<input id="ratio" type="number"></label>
    <label hidden>Lock aspect ratio:<input id="lockRatio" type="checkbox"></label>
</section>

<section>
    <label class="head">Script DSL</label>
    <button id="update-dsl">Update DSL</button>
    <button id="parse-dsl">Parse DSL</button>
    <div class="dsl">
        <textarea id="dsl" rows="20" cols="40" style="display: inline-block"></textarea>
    </div>
</section>

<link rel="stylesheet" href="overlay-style.css">
<div id="hd-script-dsl-overlay" hidden>
    <div id="hd-script-mask"></div>
    <div id="hd-script-overlay_window">
        <!--        <table class="hd-script-overlay">-->
        <!--            <tbody class="hd-script-overlay">-->
        <!--            <tr id="hd-script-heading">-->
        <!--                <td class="hd-script-overlay" colspan="3"><h1>DSL</h1></td>-->
        <!--            </tr>-->
        <!--            <tr class="overlay">-->
        <!--                <td class="hd-script-overlay" colspan="3"><textarea class="hd-script-overlay"-->
        <!--                                                                    id="hd-script-dsl"></textarea></td>-->
        <!--            </tr>-->
        <!--            </tbody>-->
        <!--            <tfoot class="hd-script-overlay">-->
        <!--            <tr class="overlay">-->
        <!--                <td class="hd-script-overlay">-->
        <!--                    <button id="hd-script-update-dsl" onclick="updateDSLText()">Update DSL</button>-->
        <!--                </td>-->
        <!--                <td class="hd-script-overlay">-->
        <!--                    <button id="vparse-dsl" onclick="parseDSLText()">Parse DSL</button>-->
        <!--                </td>-->
        <!--                <td class="hd-script-overlay">-->
        <button class="hd-script-overlay" id="hd-script-vhide"
                onclick="document.getElementById('hd-script-dsl-overlay').hidden = true">
            Hide
        </button>
        <!--                </td>-->
        <!--            </tr>-->
        <!--            </tfoot>-->
        <!--        </table>-->
    </div>
</div>

</body>
</html>
